knp_paginator:
  page_range: 5
  default_options:
    page_name: page # page query parameter name
    sort_field_name: Xsort # sort field query parameter name
    sort_direction_name: Xdirection # sort direction query parameter name
    distinct: true # ensure distinct results, useful when ORM queries are using GROUP BY statements
    filter_field_name: filterField # filter field query parameter name
    filter_value_name: filterValue # filter value query parameter name
  template:
    pagination: '_partial/pagination.html.twig'